Skip to main content
`Ctrl`+`K`

# RGCanUseConjugates

Used in contour integral methods to determine whether half of integration points can be avoided (use their conjugates).

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGCanUseConjugates(RG rg,PetscBool realmats,PetscBool *useconj)

Not Collective

## Input Parameters

- rg - the region context

- realmats - `PETSC_TRUE` if the problem matrices are real

## Output Parameter

- useconj - whether it is possible to use conjugates

## Notes

If some integration points are the conjugates of other points, then the associated computational cost can be saved. This depends on the problem matrices being real and also the region being symmetric with respect to the horizontal axis. The result is false if using real arithmetic or in the case of a flat region (height equal to zero).

## See Also

RG: Region, `RGIsAxisymmetric()`

## Level

developer

## Location

src/sys/classes/rg/interface/rgbasic.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages